- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Private Attributes | List of all members
libetonyek::IWORKTextRecorder Class Reference

`#include <IWORKTextRecorder.h>`

## Classes
struct | Impl

## Public Member Functions
| IWORKTextRecorder ()
void | replay (IWORKText &text) const
void | pushBaseLayoutStyle (const IWORKStylePtr_t &style)
void | pushBaseParagraphStyle (const IWORKStylePtr_t &style)
void | setLayoutStyle (const IWORKStylePtr_t &style)
void | flushLayout ()
void | setListStyle (const IWORKStylePtr_t &style)
void | setListLevel (const unsigned level)
void | flushList ()
void | setParagraphStyle (const IWORKStylePtr_t &style)
void | flushParagraph ()
void | setSpanStyle (const IWORKStylePtr_t &style)
void | setLanguage (const IWORKStylePtr_t &style)
void | flushSpan ()
void | openLink (const std::string &url)
void | closeLink ()
void | insertText (const std::string &text)
void | insertTab ()
void | insertSpace ()
void | insertLineBreak ()

## Private Attributes
boost::shared_ptr< Impl > | m_impl

## Constructor & Destructor Documentation

libetonyek::IWORKTextRecorder::IWORKTextRecorder | ( |  | ) |

## Member Function Documentation

void libetonyek::IWORKTextRecorder::closeLink | ( |  | ) |

void libetonyek::IWORKTextRecorder::flushLayout | ( |  | ) |

void libetonyek::IWORKTextRecorder::flushList | ( |  | ) |

void libetonyek::IWORKTextRecorder::flushParagraph | ( |  | ) |

void libetonyek::IWORKTextRecorder::flushSpan | ( |  | ) |

void libetonyek::IWORKTextRecorder::insertLineBreak | ( |  | ) |

void libetonyek::IWORKTextRecorder::insertSpace | ( |  | ) |

void libetonyek::IWORKTextRecorder::insertTab | ( |  | ) |

void libetonyek::IWORKTextRecorder::insertText | ( | const std::string & | text | ) |

void libetonyek::IWORKTextRecorder::openLink | ( | const std::string & | url | ) |

void libetonyek::IWORKTextRecorder::pushBaseLayoutStyle | ( | const IWORKStylePtr_t & | style | ) |

void libetonyek::IWORKTextRecorder::pushBaseParagraphStyle | ( | const IWORKStylePtr_t & | style | ) |

void libetonyek::IWORKTextRecorder::replay | ( | IWORKText & | text | ) | const

void libetonyek::IWORKTextRecorder::setLanguage | ( | const IWORKStylePtr_t & | style | ) |

void libetonyek::IWORKTextRecorder::setLayoutStyle | ( | const IWORKStylePtr_t & | style | ) |

void libetonyek::IWORKTextRecorder::setListLevel | ( | const unsigned | level | ) |

void libetonyek::IWORKTextRecorder::setListStyle | ( | const IWORKStylePtr_t & | style | ) |

void libetonyek::IWORKTextRecorder::setParagraphStyle | ( | const IWORKStylePtr_t & | style | ) |

void libetonyek::IWORKTextRecorder::setSpanStyle | ( | const IWORKStylePtr_t & | style | ) |

## Member Data Documentation

boost::shared_ptr<Impl> libetonyek::IWORKTextRecorder::m_impl
| private

Referenced by closeLink(), flushLayout(), flushList(), flushParagraph(), flushSpan(), insertLineBreak(), insertSpace(), insertTab(), insertText(), openLink(), pushBaseLayoutStyle(), pushBaseParagraphStyle(), replay(), setLanguage(), setLayoutStyle(), setListLevel(), setListStyle(), setParagraphStyle(), and setSpanStyle().

The documentation for this class was generated from the following files:

- IWORKTextRecorder.h
- IWORKTextRecorder.cpp